//Locations Select Store List
$(document).on("pagebeforeshow", "#locationsselectstore", function () {
	
	var userlat = window.localStorage.getItem('userlat');
	var userlng = window.localStorage.getItem('userlng');
	
	var request = $.ajax({
		type: "POST",
		url: "http://www.grocery-bag.mobi/services/locationslist.v2.php",
		data: { userlat: userlat, userlng: userlng, groupid: groupid, accesskey: 'Ulkw7_m36CZL-rAgMEg2wF_WvNqYD-3CR-2WZKz4kRtf-dEb88KjmkvRY' }, 
		dataType: "json"
	});
			
	request.done(function(data) {
		
		var listitems = '';
		var checkmarkstate;
		$('#locationslist').empty();
		
		$.each(data.stores, function(i, e) {

			if (window.localStorage.getItem('mystore') == 0) { // mysite == 0
				window.localStorage.setItem('mysite', e.site_id);
				window.localStorage.setItem('mystore', e.store_id);
				window.localStorage.setItem('store_adtype_txt', e.store_adtype_txt);
				window.localStorage.setItem('store_adtype_jpg', e.store_adtype_jpg);
				
				checkmarkstate = 'YES';
				
				if (window.localStorage.getItem('accountstatus') == 'active') {
					updatemystore(e.site_id, e.store_id);
				}
			
			} else if (window.localStorage.getItem('mystore') == e.store_id) { //mysite has been selected
				checkmarkstate = 'YES';
			
			} else { 
				checkmarkstate = 'NO';
				
			}
			
			listitems = listitems+'<li data-icon="false">'+
						'<a href="#" data-siteid="'+e.site_id+'" data-storeid="'+e.store_id+'" data-store_lat="'+e.store_lat+'" data-store_long="'+e.store_long+'" data-store_adtype_txt="'+e.store_adtype_txt+'" data-store_adtype_jpg="'+e.store_adtype_jpg+'">'+
							'<img src="img/checkbox_'+checkmarkstate+'.png">'+
							'<h2>'+e.store_name+'</h2>'+
							'<p>'+e.store_address01+'</p>'+
							'<p>'+e.store_city+', '+e.store_state+' '+e.store_postalcode+'</p>'+
							'<p><strong>'+e.distance+'</strong> miles</p>'+
						'</a>'+
						'</li>';
		
		});
		
		$('#locationslist').append(listitems);
		$('#locationslist').listview("refresh");
		
	});
 
	request.fail(function(jqXHR, textStatus) {
		//alert( 'Locations Services Failed Due To A Network Error.'+textStatus);
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
			'Locations Services Failed Due To A Network Error. '+textStatus, 
			alertDismissed,         // callback
			'Login Failure', 
			'OK'
		);
			
	});
	
});
	

$(document).on("vclick", "#locationslist a", function (event) {
	event.preventDefault();
		
	var siteid = $(this).jqmData('siteid');
	var storeid = $(this).jqmData('storeid');
	var store_lat = $(this).jqmData('store_lat');
	var store_long = $(this).jqmData('store_long');
	var store_adtype_txt = $(this).jqmData('store_adtype_txt');
	var store_adtype_jpg = $(this).jqmData('store_adtype_jpg');
		
	$('#locationslist img').attr('src', 'img/checkbox_NO.png');
	$('img', this).attr('src', 'img/checkbox_YES.png');
		
	window.localStorage.setItem('mystore', storeid);
	window.localStorage.setItem('mysite', siteid);
	window.localStorage.setItem('store_lat', store_lat);
	window.localStorage.setItem('store_long', store_long);
	window.localStorage.setItem('store_adtype_txt', store_adtype_txt);
	window.localStorage.setItem('store_adtype_jpg', store_adtype_jpg);
		
	if (window.localStorage.getItem('accountstatus') == 'active') {
		updatemystore(siteid, storeid);
	}
		
}); /*close "vclick", "#locationslist a*/
	
function updatemystore(siteid, storeid) {
	
	var id = (window.localStorage.getItem('userid') !== null) ? window.localStorage.getItem('userid') : 0 ;
	var serviceskey = (window.localStorage.getItem('serviceskey') !== null) ? window.localStorage.getItem('serviceskey') : 0 ;
			
	var request = $.ajax({
		type: "POST",
		url: "http://www.grocery-bag.mobi/services/setmystoreid.v2.php",
		data: { id: id, groupid: groupid, siteid: siteid, storeid: storeid, serviceskey: serviceskey, accesskey: 'g8CmZR-H39AwvF6G7PJQs-hScqzdT'}, 
		dataType: "json"
	});
			
	request.done(function(data) {
			
		if (data.response == 'error') {
					
			//alert(data.msg);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
				data.msg, 
				alertDismissed,         // callback
				'Alert', 
				'OK'
			);
				
				
		} else if (data.response == 'success') {
					
			//alert('Your store has been update successfully!.--');
			navigator.notification.alert(
				'Your store has been update successfully!.', 
				alertDismissed,         // callback
				'Alert', 
				'OK'
			);
				
		} else {
					
			//alert( "Login Failed Due To A Network Error.");
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
				'Login Failed Due To A Network Error.', 
				alertDismissed,         // callback
				'Alert', 
				'OK'
			);
			
		}
			
	});
		
	request.fail(function(jqXHR, textStatus) {
			
		//alert( 'Locations Services Failed Due To A Network Error.'+textStatus);
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
			'Locations Services Failed Due To A Network Error. '+textStatus, 
			alertDismissed,         // callback
			'Login Failure', 
			'OK'
		);
			
	});
	
} /*updatemystore*/
