//recipes
$(document).on("pagebeforeshow", "#recipes", function () {
	$('#recipesdailylist').hide();
	$('#recipesdailylist').empty();
});

//daily recipes
$(document).on("pageshow", "#recipes", function () {

	var site_id = window.localStorage.getItem('mysite');
	
	if (site_id > 0) {
	
		$.mobile.loading( "show");
		
		var request = $.ajax({
			type: "POST",
			url: "http://www.grocery-bag.mobi/services/recipesgetdaily.v2.php",
			data: { groupid: groupid, site_id: site_id, accesskey: 'SWE-STA(Beq6xe@S5as-pAc5*%A8ter'}, 
			dataType: "json"
		});
		
		request.done(function(data) {			
			
			var listitems = '';
		
			$.each(data.recipes, function(i, e) {
		
				listitems = listitems+'<li data-theme="e">'+
							'<a href="#" class="recipelink" data-recipeid="'+e.recipeid+'">'+
							'<h2>'+e.recipeday+'</h2>'+
							'<p><strong>'+
							e.recipetitle+
							'</strong></p>'+
							'</a>'+
							'</li>';
			});
		
			$('#recipesdailylist').append(listitems);
			$('#recipesdailylist').listview("refresh").show();
			
		});
 
		request.fail(function(jqXHR, textStatus) {
			//alert( "Sorry We Cannot Access The Recipes Due To A Network Error."+textStatus);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
				'Sorry We Cannot Access The Recipes Due To A Network Error. '+textStatus, 
				alertDismissed,         // callback
				'Alert', 
				'OK' 
			);
		});
		
		$.mobile.loading( "hide" );
	
	} else {
		//alert('Please select a store.');
		
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
			'Please select a store.',	// message
			alertDismissed,         // callback
			'Alert',		// title
			'Done'                  	// buttonName
		);
		
		startgeolocation();
	}
	
});

//===================

//recipebox
$(document).on("pagebeforeshow", "#recipebox", function () {
	$('#recipeboxnotifymsg').empty();
	$('#recipeboxlist').empty();
	$('#recipeboxmorebtnbucket').hide();
	recipeboxpage = 1;
});
	
$(document).on("pageshow", "#recipebox", function () {
	recipesgetrecipebox();
});

//recipe box - get more recipes
$(document).on('vclick', '#btnmorerecipes', function(event) {
	event.preventDefault();
	recipesgetrecipebox();
});
	
function recipesgetrecipebox() {

	var userid = window.localStorage.getItem('userid');
	
	if (userid > 0) {
	
		$.mobile.loading( "show");
	
		var serviceskey = window.localStorage.getItem('serviceskey');
		
		var request = $.ajax({
			type: "POST",
			url: "http://www.grocery-bag.mobi/services/recipeboxgetrecipes.v2.php",
			data: { id: userid, serviceskey: serviceskey, page: recipeboxpage, accesskey: '68F8F-Ea-erv-Aq-yqSDPb3Ky-aJfbP-864' }, 
			dataType: "json"
		});
		
		request.done(function(data) {
			//recipeboxlist

			if (data.response == 'error') {
				//alert(data.msg);
				navigator.notification.vibrate(1000);
				navigator.notification.alert(
					data.msg, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
			
			} else if (data.response == 'success' && data.recipes) {
			
				var listitems = '';
				
				$.each(data.recipes, function(i, e) {
				
					listitems = listitems+'<li data-theme="e">'+
								'<a href="#" class="recipelink" data-recipeid="'+e.recipe_ID+'">'+
								'<h5>'+
								e.recipe_Name+
								'</h5>'+
								'<p>'+
								e.recipe_PrepTime+
								'</p>'+
								'</a>'+
								'</li>';
				
				
				});
				
				$('#recipeboxnotifymsg').html('');
				$('#recipeboxlist').append(listitems);
				$('#recipeboxlist').listview("refresh");
				
				recipeboxpage++;
				
				if (data.numofpages >= recipeboxpage) {
					$('#recipeboxmorebtnbucket').show();
				} else {
					$('#recipeboxmorebtnbucket').hide();
				}
				
			
			} else if (data.numrows ==  0) {
				$('#recipeboxnotifymsg').html('<p>'+data.msg+'</p>');
			
			} else {
				//alert( "A Network Error Has Occurred.");
				navigator.notification.vibrate(1000);
				navigator.notification.alert(
					'A Network Error Has Occurred.', 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
			}
			
			
		});
		
		request.fail(function(jqXHR, textStatus) {
			//alert( "Login Failed Due To A Network Error."+textStatus);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
					'Login Failed Due To A Network Error. '+textStatus, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
			);
		});
		
		$.mobile.loading( "hide" );
		
	
	} else {
		//alert('An account is required to access this functionality. Please go to the home page and login in or Join Us!');
		navigator.notification.vibrate(1000);
		navigator.notification.confirm(
			'An account is required to access this functionality. Please Sign In or Join Us!', // message
			alertDismissedAccount,         // callback
			'Account Status Alert',		// title
			'Sign In, Join Us, Continue As Guest'                  	// buttonName
		);
		
	}



}

//===================

//recipesearch
$(document).on("pagebeforeshow", "#recipesearch", function (event, ui) {
	if (ui.prevPage.attr('id') != 'recipedetails') {
		$('#recipesearchlistview').empty();
	}

});



$("#recipesearchfrm").on('submit', function (event) {
	event.preventDefault();
	alert('Handler for called.');
	return false;
});


//initiate a recipe search
$( document ).on( "vclick", "#btnrecipesearch", function(event) {

	event.preventDefault();

	var searchdata = $('#recipesearchinput').val();
	$('#recipesearchmsg').html('').hide();
	$('#recipesearchlistview').empty();
	$("#recipesearchpopup").popup("close");
	$("#recipesearchinput").val('');
	$("#recipesearchfooter").show();
	
	$.mobile.loading( "show");
	
	var request = $.ajax({
		type: "POST",
		url: "http://www.grocery-bag.mobi/services/recipesearch.v2.php",
		data: { searchdata: searchdata, accesskey: 'b_s(WusWezU$cuTRa7_rUyuprE-DE'}, 
		dataType: "json"
	});
	
	request.done(function(data) {
	
		if (data.response == 'error') {
			//alert(data.msg);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
					data.msg, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
			);
			
		} else if (data.response == 'success' && data.recipes) {
			
			//console.log(data);
			//$recipes[] = array('recipe_ID'=>$recipe_ID, 'recipe_Name'=>$recipe_Name, 'relevance'=>$relevance);
			
			var listitems = '';
				
			$.each(data.recipes, function(i, e) {
				
					listitems = listitems+'<li data-theme="e">'+
								'<a href="#" class="recipelink" data-recipeid="'+e.recipe_ID+'">'+
								'<h5>'+
								e.recipe_Name+
								'</h5>'+
								'</a>'+
								'</li>';
				
			});
			
			$('#recipesearchmsg').html('').hide();
			$('#recipesearchlistview').append(listitems);
			$('#recipesearchlistview').listview("refresh");
		
		} else if (data.response == 'success') {
			$('#recipesearchmsg').html(data.msg).show();
		
		} else {
			//alert( "A Network Error Has Occurred.");
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
					'A Network Error Has Occurred.', 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
			);
		}
		
		$.mobile.loading( "hide" );
	
	
	});
	
	request.fail(function(jqXHR, textStatus) {
		//alert( "Sorry We Cannot Access The Recipes Due To A Network Error."+textStatus);
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
					'Sorry We Cannot Access The Recipes Due To A Network Error. '+textStatus, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
		);
		$.mobile.loading( "hide" );
	});
	
});


//===================

//used universally to display a recipe
$(document).on('vclick', '.recipelink', function(event) {
	
	event.preventDefault();
	displayrecipe = $(this).jqmData('recipeid');
	
	$.mobile.pageContainer.pagecontainer('change', '#recipedetails', {
		transition: 'slide',
        changeHash: true,
        reverse: false
	});
	
    return false;  

});

//display the recipe ingredients and instructions
//recipedetails
$(document).on("pagebeforeshow", "#recipedetails", function (event, ui) {
	$('#recipetitle').empty();
	$('#recipeimage').empty();
	$('#recipeingredients').empty();
	$('#recipedirections').empty();
	$('#recipecontrols a').attr('data-recipeid', '');
	$('#recipecontrols').hide();
	
	if (ui.prevPage.attr('id') == 'recipebox') {
		$('#btnaddtorecipebox').hide();
		$('#btnremovefromrecipebox').show();
	
	} else {
		$('#btnaddtorecipebox').show();
		$('#btnremovefromrecipebox').hide();
	}
	$( "#recipecontrols" ).controlgroup( "option", "excludeInvisible", true );
	
});

$(document).on("pageshow", "#recipedetails", function () {
	
	var request = $.ajax({
		type: "POST",
		url: "http://www.grocery-bag.mobi/services/recipedetails.v2.php",
		data: { recipeid: displayrecipe, accesskey: 'SDM-STA(Beq4jw839@S5as-pAc5*%A8ter'}, 
		dataType: "json"
	});
		
	request.done(function(data) {			
			
		$('#recipetitle').html(data.recipename);
		
		if (data.imagename) $('#recipeimage').html('<img src="http://www.grocery-bag.mobi/apps/images_recipes/'+data.imagename+'" style="max-width: '+data.imagewidth+'px;" class="imageauto">');
		
		var ingredients = '';
		
		$.each(data.ingredients, function(i, e) {
			ingredients = ingredients + '<li>'+ e +'</li>';
		});
		
		$('#recipeingredients').append(ingredients);
		$('#ingredients').show();
		
		$('#recipedirections').html(data.directions);
		
		if (window.localStorage.getItem('userid') > 0 && window.localStorage.getItem('accountstatus') == 'active') {
			$('#recipecontrols a').attr('data-recipeid', displayrecipe);
			$('#recipecontrols').slideDown( "fast", function() {
				$( "#recipecontrols" ).controlgroup('refresh');
 			});
		}
			
	});
 
	request.fail(function(jqXHR, textStatus) {
		//alert( "Sorry We Cannot Access The Recipes Due To A Network Error."+textStatus);
		navigator.notification.vibrate(1000);
		navigator.notification.confirm(
			'An account is required to access this functionality. Please Sign In or Join Us!', // message
			alertDismissedAccount,         // callback
			'Account Status Alert',		// title
			'Sign In, Join Us, Continue As Guest'                  	// buttonName
		);
		
	});

});

//add recipe to recipe box - add ingredients to grocery list - remove recipe from recipe box
$(document).on('vclick', '#recipecontrols a', function(event) {

	var recipeid = $(this).jqmData('recipeid');
	var action = $(this).jqmData('action');
	var id = window.localStorage.getItem('userid');
	
	if (id > 0) {
	
		var serviceskey = window.localStorage.getItem('serviceskey');
		
		var request = $.ajax({
			type: "POST",
			url: "http://www.grocery-bag.mobi/services/recipeprocessdetails.v2.php",
			data: { id: id, recipeid: recipeid, serviceskey: serviceskey, action: action, accesskey: 'vwg6g.+(fEMAB;G3<A:~H!F#*}<8(>'}, 
			dataType: "json"
		});
		
		request.done(function(data) {	
		
			if (data.response == 'error') {
				//alert(data.msg);
				navigator.notification.vibrate(1000);
				navigator.notification.alert(
					data.msg, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
				
			} else {
				//alert(data.msg);
				navigator.notification.alert(
					data.msg, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
				
				if (action == 'removefromrecipebox') {
					$.mobile.pageContainer.pagecontainer('change', '#recipebox', {
						transition: 'slide',
						changeHash: true,
						reverse: false 
					});
					
				}
				
			}
			
		});
 
		request.fail(function(jqXHR, textStatus) {
			//alert( "Sorry We Cannot Access The Recipes Due To A Network Error."+textStatus);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
					'Sorry We Cannot Access The Recipes Due To A Network Error. '+textStatus, 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
			);
		});
	
	}

});








