$(document).on("pagebeforeshow", "#weeklyadsjpgs", function () {
	$('#adimgbucket-inner').removeData();
	$('#adimgbucket-inner').empty();
	$('#hdraddate').html('&nbsp;');
	
});

$( document ).on("pageshow", "#weeklyadsjpgs", function() {

	var site_id = window.localStorage.getItem('mysite');
	var store_id = window.localStorage.getItem('mystore');
	
	if (site_id > 0 && store_id > 0) {
		
		$.mobile.loading( "show", {
			text: "Loading Weekly Ads",
			textVisible: false, 
			theme: "b"
		});
		
		var request = $.ajax({
			type: "POST",
			url: "http://www.grocery-bag.mobi/services/weeklyads_imgs_zoom.v2.php",
			data: { site_id: site_id, store_id: store_id,  accesskey: 'z4UtQl-TmB3W7k-KpVV9CJ8fcr-nwtVZs-zK'}, 
			dataType: "json"
		});
		
		request.done(function(data) {
			
			if (data.response == 'error') {
				$.mobile.loading( "hide" );
				navigator.notification.vibrate(1000);
				navigator.notification.alert(
					data.msg+' - 1', 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
				
			} else if (data.response == 'success' && data.msg) {
				
				$.mobile.loading( "hide" );
				navigator.notification.alert(
                	data.msg,
                	alertDismissed,         // callback
                    'Alert', 
                    'OK' 
                );
				
			} else if (data.response == 'success' && data.pages) {
			
				var ad_date;
			
				$.each(data.pages, function(i, e) {
				
					var key = i;
					$.each(e.files, function(n, file) {
					
						var id = 'file'+key+'_'+n;
						var url = 'http://www.'+ data.siteurl+'/'+data.circluardirectory+'/'+file;
						ad_date = e.addate;
						
						$('#adimgbucket-inner').append('<div id="'+id+'" class="image-hidden"></div>');
						$('#adimgbucket-inner').data('ad'+id, {url: url, loaded: false, addate: ad_date});
						
						if (n == 0) {
							
							var offset = $('#adimgbucket-inner').offset();
							var focalX = $('#adimgbucket-inner').width()*.5;
							var focalY = offset.top;
							
							$('<img src="'+url+'">').load(function() {
								$(this).width('100%').height('auto').appendTo('#'+id);
								$('#'+id).addClass("image-shown").removeClass("image-hidden").css("z-index", 20);
								$('#'+id).panzoom({
									$zoomIn: $(".zoomInAds"),
									$zoomOut: $(".zoomOutAds"), 
									$reset: $(".zoomreset")
								});
								$.mobile.loading( "hide" );
								$('#adimgbucket-inner').data('ad'+id).loaded = true;
								$('#hdraddate').html($('#adimgbucket-inner').data('ad'+id).addate);
							});
						}
						
					});
					
				});
				
			} else {
				
				$.mobile.loading( "hide" );
				//alert( "A Network Error Has Occurred.");
				navigator.notification.vibrate(1000);
				navigator.notification.alert(
					'A Network Error Has Occurred. - 2', 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
				);
			
			}
			
		
		});
		
		request.fail(function(jqXHR, textStatus) {
			
			$.mobile.loading( "hide" );
			
			//alert( "Sorry we cannot access the network at this time."+textStatus);
			navigator.notification.vibrate(1000);
			navigator.notification.alert(
				'Sorry we cannot access the network at this time. -3 '+textStatus, 
				alertDismissed,         // callback
				'Alert', 
				'OK'
			);
				
		});
	
	} else {
		
		//alert('A store location is required to access this functionality.');
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
					'A store location is required to access this functionality.', 
					alertDismissed,         // callback
					'Alert', 
					'OK' 
		);
		
		startgeolocation();
		
	}
	
});


$(document).on("vclick", ".nextLinkAds", function (event) {
	
	var currentActiveImage = $(".image-shown");
	var currentActiveInnerID = currentActiveImage.attr('id');
	var nextActiveImage = currentActiveImage.next();
	
	$('#'+currentActiveInnerID).panzoom("reset");
	$('#'+currentActiveInnerID).panzoom('destroy');
	
	if(nextActiveImage.length == 0) {
		nextActiveImage = $("#adimgbucket-inner div").first();
	}

	currentActiveImage.removeClass("image-shown").addClass("image-hidden").css("z-index", -10);
	nextActiveImage.addClass("image-shown").removeClass("image-hidden").css("z-index", 20);
	$("#adimgbucket-inner div").not([currentActiveImage, nextActiveImage]).css("z-index", 1);
	loadweeklyadjpg(nextActiveImage.attr('id'));

	event.preventDefault();

});


$(document).on("vclick", ".previousLinkAds", function (event) {
	
	var currentActiveImage = $(".image-shown");
	var currentActiveInnerID = currentActiveImage.attr('id');
	var nextActiveImage = currentActiveImage.prev();
	
	$('#'+currentActiveInnerID).panzoom("reset");
	$('#'+currentActiveInnerID).panzoom('destroy');

	if(nextActiveImage.length == 0) {
		nextActiveImage = $("#adimgbucket-inner div").last();
	}

	currentActiveImage.removeClass("image-shown").addClass("image-hidden").css("z-index",-10);
	nextActiveImage.addClass("image-shown").removeClass("image-hidden").css("z-index", 20);
	$("#adimgbucket-inner div").not([currentActiveImage, nextActiveImage]).css("z-index",1);
	loadweeklyadjpg(nextActiveImage.attr('id'));

	event.preventDefault();

});

function loadweeklyadjpg(id) {
	
	$('#hdraddate').html($('#adimgbucket-inner').data('ad'+id).addate);
	
	if (!$('#adimgbucket-inner').data('ad'+id).loaded) {
		
		$.mobile.loading( "show", {
							text: "",
							textVisible: false,
							theme: "a",
							html: ""
							});
		
		var url = $('#adimgbucket-inner').data('ad'+id).url;
		$('<img src="'+url+'">').load(function() {
			$(this).width('100%').height('auto').appendTo('#'+id);
			$('#'+id).panzoom({
				$zoomIn: $(".zoomInAds"),
				$zoomOut: $(".zoomOutAds"), 
				$reset: $(".zoomreset")
			});
			$.mobile.loading( "hide" );
			$('#adimgbucket-inner').data('ad'+id).loaded = true;
			//$('#hdraddate').html($('#adimgbucket-inner').data('ad'+id).addate);
		});
	} else {
	
		$('#'+id).panzoom({
			$zoomIn: $(".zoomInAds"),
			$zoomOut: $(".zoomOutAds")
		});
	
	}
	
	
}














