//home
$(document).on("pagebeforeshow", "#home", function () {
	
	//ad buttons controls
	if (window.localStorage.getItem('store_adtype_jpg') == '0') {
		$('#btncpjpgads').hide();
	} else {
		$('#btncpjpgads').show();
	}
	
	if (window.localStorage.getItem('store_adtype_txt') == '0') {
		$('#btncpdigitalads').hide();
	} else {
		$('#btncpdigitalads').show();
	}
	
	//login button controls
	if (window.localStorage.getItem('accountstatus') == 'guest') {
		$('#guestmessage').show();
		$('#login').show('fast', function() {
			$('#logout').hide();
		});
	}
	
	if (window.localStorage.getItem('accountstatus') == 'active' && window.localStorage.getItem('userid') > 0) {
		$('#guestmessage').hide();
		$('#login').hide('fast', function() {
			$('#logout').show();
		});
	}
	
	if (window.localStorage.getItem('accountstatus') == 'active' && window.localStorage.getItem('userid') == 0) {
		$('#guestmessage').hide();
		$('#login').show('fast', function() {
			$('#logout').hide();
		});
	}
	
});

$(document).on("vclick", ".btncheckstoreid", function (event) {
	event.preventDefault();
	
	var gotopage = $(this).jqmData('gotopage');
	
	if (window.localStorage.getItem('mystore') > 0 && window.localStorage.getItem('mysite') > 0) {
		$.mobile.pageContainer.pagecontainer( "change", gotopage, { transition: "slide" } );
	
	} else {
		//alert('Please select a store.');
		
		navigator.notification.vibrate(1000);
		navigator.notification.alert(
			'Please select a store.',	// message
			alertDismissed,         // callback
			'Alert',		// title
			'Done'                  	// buttonName
		);
		
		startgeolocation();
	
	}
	
});


$(document).on("vclick", ".btncheckuserid", function (event) {
	event.preventDefault();

	var gotopage = $(this).jqmData('gotopage');
	
	if (window.localStorage.getItem('userid') > 0 && window.localStorage.getItem('accountstatus') == 'active') {
		$.mobile.pageContainer.pagecontainer( "change", gotopage, { transition: "slide" } );
	
	} else {
		
		//alert('Please sign in or join us to access this functionality.');
		
		navigator.notification.vibrate(1000);
		navigator.notification.confirm(
			'Please sign in or join us to access this functionality.',	// message
			alertDismissedAccount,         // callback
			'Account Status Alert',		// title
			'Sign In, Join Us, Continue As Guest'                  	// buttonName
		);
	
	}

});


$(document).on("vclick", "#btnlogout", function (event) {
	
	$.mobile.loading( "show", {
		textVisible: false, 
		theme: "b"
	});
	
	window.localStorage.setItem('userid', 0);
	window.localStorage.setItem('mystore', 0);
	window.localStorage.setItem('mysite', 0);
	window.localStorage.setItem('serviceskey', '');
	window.localStorage.setItem('store_lat', 0);
	window.localStorage.setItem('store_long', 0);
	window.localStorage.setItem('store_adtype_txt', '1');
	window.localStorage.setItem('store_adtype_jpg', '1');
	window.localStorage.setItem('accountstatus', 'nochoice');
	
	$.mobile.loading( "hide" );
	
	$(':mobile-pagecontainer').pagecontainer('change', '#useraccountchoices', {
		changeHash: true,
        reverse: true
    });

});




















