var groupid = 1000;
var itemid = 0; //grocery list item id
var displayrecipe = 0; //recipe to display
var recipeboxpage = 1;
var adpagecounttext = 0;
var digitaladpage = 0;
var deviceReadyDeferred = $.Deferred();
var jqmReadyDeferred = $.Deferred();

//new user set base variables
if (window.localStorage.getItem('accountstatus') == null) {
	
	window.localStorage.setItem('userid', 0);
	window.localStorage.setItem('mystore', 0);
	window.localStorage.setItem('mysite', 0);
	window.localStorage.setItem('serviceskey', '');
	window.localStorage.setItem('store_lat', 0);
	window.localStorage.setItem('store_long', 0);
	window.localStorage.setItem('store_adtype_txt', '1');
	window.localStorage.setItem('store_adtype_jpg', '1');
	window.localStorage.setItem('accountstatus', 'nochoice');
	window.localStorage.setItem('userlat', 0);
	window.localStorage.setItem('userlng', 0);
		
}

document.addEventListener("deviceReady", deviceReady, false);

function deviceReady() {

	deviceReadyDeferred.resolve();
}

$(document).one("mobileinit", function () {
	jqmReadyDeferred.resolve();
});

$.when(deviceReadyDeferred, jqmReadyDeferred).then(doWhenBothFrameworksLoaded);

function doWhenBothFrameworksLoaded() {

	$.support.cors = true;
	$.mobile.allowCrossDomainPages = true;
	$.mobile.loader.prototype.options.text = "loading";
	$.mobile.loader.prototype.options.textVisible = false;
	$.mobile.loader.prototype.options.theme = "a";
	$.mobile.loader.prototype.options.html = "";

	if (window.localStorage.getItem('accountstatus') == 'nochoice') {
		$(':mobile-pagecontainer').pagecontainer('change', '#useraccountchoices', {
			changeHash: true,
        	reverse: true
    	});
	}
	
}

function alertDismissedAccount(button) {
	
	if (button == 1) {
		$.mobile.pageContainer.pagecontainer( "change", "#login", { transition: "slide" } );
	} else if (button == 2) {
		$.mobile.pageContainer.pagecontainer( "change", "#joinus", { transition: "slide" } );
	} else {
		//do nothing
	}
	
}

function alertDismissed() {
	//do nothing
}


